package com.ejie.ab61.model.moduloAdministrativo;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

public class HuecosFolderNumber implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idErrorFolderNumber;
	private Integer idProcedimiento;
	private String folderNumber;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private String procedimientoDesCast;
	private String procedimientoDesEusk;
	private String codProcedure;
	private Integer idExpediente;
	private String folderId;
	private String titulo;

	public HuecosFolderNumber() {
	}

	public HuecosFolderNumber(int idErrorFolderNumber) {

	}

	/**
	 * @return the idErrorFolderNumber
	 */
	public Integer getIdErrorFolderNumber() {
		return idErrorFolderNumber;
	}

	/**
	 * @param idErrorFolderNumber
	 *            the idErrorFolderNumber to set
	 */
	public void setIdErrorFolderNumber(Integer idErrorFolderNumber) {
		this.idErrorFolderNumber = idErrorFolderNumber;
	}

	/**
	 * @return the idProcedimiento
	 */
	public Integer getIdProcedimiento() {
		return idProcedimiento;
	}

	/**
	 * @param idProcedimiento
	 *            the idProcedimiento to set
	 */
	public void setIdProcedimiento(Integer idProcedimiento) {
		this.idProcedimiento = idProcedimiento;
	}

	/**
	 * @return the folderNumber
	 */
	public String getFolderNumber() {
		return folderNumber;
	}

	/**
	 * @param folderNumber
	 *            the folderNumber to set
	 */
	public void setFolderNumber(String folderNumber) {
		this.folderNumber = folderNumber;
	}

	/**
	 * @return the fechaRegistro
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return fechaRegistro;
	}

	/**
	 * @param fechaRegistro
	 *            the fechaRegistro to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * @return the usuarioRegistro
	 */
	public String getUsuarioRegistro() {
		return usuarioRegistro;
	}

	/**
	 * @param usuarioRegistro
	 *            the usuarioRegistro to set
	 */
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * @return the procedimientoDesCast
	 */
	public String getProcedimientoDesCast() {
		return procedimientoDesCast;
	}

	/**
	 * @param procedimientoDesCast
	 *            the procedimientoDesCast to set
	 */
	public void setProcedimientoDesCast(String procedimientoDesCast) {
		this.procedimientoDesCast = procedimientoDesCast;
	}

	/**
	 * @return the procedimientoDesEusk
	 */
	public String getProcedimientoDesEusk() {
		return procedimientoDesEusk;
	}

	/**
	 * @param procedimientoDesEusk
	 *            the procedimientoDesEusk to set
	 */
	public void setProcedimientoDesEusk(String procedimientoDesEusk) {
		this.procedimientoDesEusk = procedimientoDesEusk;
	}

	/**
	 * @return the codProcedure
	 */
	public String getCodProcedure() {
		return codProcedure;
	}

	/**
	 * @param codProcedure
	 *            the codProcedure to set
	 */
	public void setCodProcedure(String codProcedure) {
		this.codProcedure = codProcedure;
	}

	/**
	 * @return the idExpediente
	 */
	public Integer getIdExpediente() {
		return idExpediente;
	}

	/**
	 * @param idExpediente
	 *            the idExpediente to set
	 */
	public void setIdExpediente(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}

	/**
	 * @return the folderId
	 */
	public String getFolderId() {
		return folderId;
	}

	/**
	 * @param folderId
	 *            the folderId to set
	 */
	public void setFolderId(String folderId) {
		this.folderId = folderId;
	}

	/**
	 * @return the titulo
	 */
	public String getTitulo() {
		return titulo;
	}

	/**
	 * @param titulo
	 *            the titulo to set
	 */
	public void setTitulo(String titulo) {
		this.titulo = titulo;
	}

}
